package com.cf.imes.module.executor.enums.amount;


import cn.hutool.core.util.ObjectUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 交易类型枚举类
 */

@Getter
@AllArgsConstructor
public enum IncomeExpenseTypeEnum {

    /**
     * 收入
     */
    INCOME(0, "收入"),
    /**
     * 支出
     */
    EXPENSES(1, "支出");



    /**
     * 类型
     */
    private final Integer type;

    /**
     * 名称
     */
    private final String name;



    public static IncomeExpenseTypeEnum fromType(Integer type) {
        if (type == null) {
            return null;
        }
        for (IncomeExpenseTypeEnum value : values()) {
            if (ObjectUtil.equal(value.getType(), type)) {
                return value;
            }
        }
        return null;
    }

}
